org.apache.fop.render.intermediate

## Class AbstractIFDocumentHandlerMaker

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker

- Direct Known Subclasses:
    AFPDocumentHandlerMaker, IFSerializerMaker, PCLDocumentHandlerMaker, PDFDocumentHandlerMaker, PNGDocumentHandlerMaker, PSDocumentHandlerMaker, TIFFDocumentHandlerMaker

      public abstract class AbstractIFDocumentHandlerMaker
      extends Object

  Base class for factory classes which instantiate `IFDocumentHandler`s and provide information about them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIFDocumentHandlerMaker()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String[]` | `getSupportedMimeTypes()`
    `boolean` | `isMimeTypeSupported(String mimeType)` Indicates whether a specific MIME type is supported by this document handler.
    `abstract IFDocumentHandler` | `makeIFDocumentHandler(IFContext ifContext)` Instantiates a new `IFDocumentHandler`.
    `abstract boolean` | `needsOutputStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractIFDocumentHandlerMaker

          public AbstractIFDocumentHandlerMaker()

  - ### Method Detail

    - #### makeIFDocumentHandler

          public abstract IFDocumentHandler makeIFDocumentHandler(IFContext ifContext)

      Instantiates a new `IFDocumentHandler`.
      Parameters:
        `ifContext` - the user agent
      Returns:
        the newly instantiated document handler

    - #### needsOutputStream

          public abstract boolean needsOutputStream()

      Returns:
        Indicates whether this document handler requires an OutputStream to work with.

    - #### getSupportedMimeTypes

          public abstract String[] getSupportedMimeTypes()

      Returns:
        an array of MIME types the document handler supports.

    - #### isMimeTypeSupported

          public boolean isMimeTypeSupported(String mimeType)

      Indicates whether a specific MIME type is supported by this document handler.
      Parameters:
        `mimeType` - the MIME type (ex. "application/pdf")
      Returns:
        true if the MIME type is supported

Copyright © 2023 Apache Software Foundation. All rights reserved.